﻿
.responsiveTable {
    width: 100%;
    border-collapse: collapse;
}

.responsiveTable caption {
    display: none;
}

    .responsiveTable th,
    .responsiveTable td {
        padding: 4px;
        word-break: break-word;
        text-align: left;
        vertical-align: top;
    }

    .responsiveTable th {
        background: #cacaca;
    }

    .responsiveTable tr:hover {
        background: #dadada;
    }

    .responsiveTable th:not(.smallColumn) {
        min-width: 8em;
    }

.accessibilityHeader {
    display: none;
}

.responsiveTable td > * {
    vertical-align: top;
}

@media only screen and (max-width: 50em) {
    .responsiveTable,
    .responsiveTable thead,
    .responsiveTable tbody,
    .responsiveTable th,
    .responsiveTable td,
    .responsiveTable tr {
        display: block;
        width: unset !important;
    }

        .responsiveTable thead tr {
            position: absolute;
            top: -9999px;
            left: -9999px;
        }

        .responsiveTable tr {
            margin-bottom: 8px;
            border: 1px solid #ddd;
            background-color: #eee;
        }

        .responsiveTable td {
            display: table-row;
        }

        .responsiveTable td:not(:has(*)) {
            display: none !important;
        }

        .accessibilityHeader {
            display: inline-block;
            font-weight: bold;
        }

        .accessibilityHeader .personalHeaderView {
            display: inline-block;
        }

        .accessibilityHeader .personalHeaderRead {
            display: none;
        }

        .accessibilityHeader:hover .personalHeaderView {
            display: none;
        }

        .accessibilityHeader:hover .personalHeaderRead {
            display: inline-block;
        }

    .responsiveTable td > * {
        padding: 4px 8px;
        display: table-cell;
        min-width: 11em;
    }

    .accessibilityHeader {
        padding-bottom: 0px !important;
    }

    .secrecyColumn:not(:has(.iconLock)) {
        height: 0px;
        padding: 0px;
        margin: 0px;
        display: block;
    }

    .secrecyColumn > * {
        padding-bottom: 0px !important;
    }
}

@media screen and (max-width: 36em) {
    .responsiveTable td {
        display: flex;
        flex-wrap: wrap;
        flex-direction: column;
    }

    .responsiveTable td.lineColumn {
        flex-direction: row;
    }

    .responsiveTable td > * {
        display: inline-block;
        min-width: auto;
        flex: 1;
        padding: 0px 4px;
    }

    .responsiveTable td.lineColumn > * {
        padding: 0px 4px;
    }

    .responsiveTable td.lineColumn > * {
        min-width: 7em;
    }

    .secrecyColumn > * {
        padding-bottom: 0px !important;
    }
}

@media only screen and (max-width: 12em) {
    .responsiveTable td.lineColumn {
        flex-direction: column;
    }
}

@media only screen and (prefers-color-scheme: dark) {
    .responsiveTable th {
        background-color: #252525;
    }

    .responsiveTable tr:hover {
        background: #2a2a2a;
    }

    @media only screen and (max-width: 50em) {
        .responsiveTable tr {
            background-color: #2a2a2a;
        }
    }
}
